Skip to main content
GET
/
certificates
/
csrs
Get all certificate signing requests
curl --request GET \
  --url https://test.didxtech.com/me-creds/api/certificates/csrs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "certificateSigningRequest": "<string>",
      "subjectKeyIdentifier": "<string>",
      "type": "verifierSignRequest",
      "status": "expired",
      "keyType": "P-256",
      "certificateId": "<string>",
      "expiresAt": "<string>"
    }
  ],
  "links": {
    "self": "<string>",
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "related": "<string>"
  },
  "meta": {},
  "errors": [
    {
      "detail": "<string>",
      "id": "<string>",
      "status": "<string>",
      "code": "<string>",
      "title": "<string>",
      "source": {
        "pointer": "<string>",
        "parameter": "<string>"
      },
      "meta": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter[type]
enum<string>

Filter by CSR type

Available options:
verifierSignRequest,
issuerSignCredential
filter[keyType]
enum<string>

Filter by key type

Available options:
P-256,
Ed25519
filter[subjectKeyIdentifier]
string

Filter by subject key identifier

sort
enum<string>

Sort order. Prefix with "-" for descending

Available options:
id,
-id,
createdAt,
-createdAt,
updatedAt,
-updatedAt
page[size]
number

Items per page (1-100)

Required range: 1 <= x <= 100
page[before]
string

Cursor: return items before this ID

page[after]
string

Cursor: return items after this ID

Response

List of certificate signing requests

data
object[]
required
meta
object
errors
object[]